  Program
  Include('LoadLib.inc'),Once

LWA_COLORKEY Equate(00000001h)
LWA_ALPHA    Equate(00000002h)

GWL_EXSTYLE  Equate(-20)

WS_EX_LAYERED Equate(00080000h)

  Map
    Module('Win32API')
      SetLayeredWindowAttributes(UNSIGNED hwnd, UNSIGNED crKey, BYTE bAlpha, UNSIGNED dwFlags),BOOL, Pascal, Proc, DLL(_fp_)
      SetWindowLong(UNSIGNED hWnd, SIGNED nIndex, Long dwNewLong),Long, Pascal, Proc, Name('SetWindowLongA')
      GetWindowLong(UNSIGNED hWnd, SIGNED nIndex),Long, Pascal, Name('GetWindowLongA')
    End

  End
fpSetLayeredWindowAttributes Long, Name('SetLayeredWindowAttributes')
User32   LoadLibClass

W    WINDOW('Set Layered Window Attributes (crKey)'),AT(,,368,195),FONT('Tahoma',8,,),SYSTEM
       BOX,AT(12,9,343,123),USE(?Box1),COLOR(COLOR:Black),FILL(COLOR:Red)
       BUTTON('Make box &Transparent'),AT(12,138,145,14),USE(?MakeTransparentButton)
       BUTTON('Make box &Opaque'),AT(210,138,145,14),USE(?MakeOpaqueButton)
       BUTTON('Close'),AT(311,170,45,14),USE(?CloseButton),STD(STD:Close)
     END

windowAlphaBlend  Byte,Auto
exStyleLong       Long,Auto
thisHWnd          UNSIGNED,Auto

myBGRcolor  UNSIGNED
BGRGroup    Group,Over(myBGRcolor)
Red           Byte
Green         Byte
Blue          Byte
Reserved      Byte
            End

  Code
  ! Attempt to get the address of SetLayeredWindowAttributes
  fpSetLayeredWindowAttributes = 0
  If User32.LlcLoadLibrary('User32.dll', Method:GetModuleHandle) = 0 !success
    fpSetLayeredWindowAttributes = User32.LlcGetProcAddress('SetLayeredWindowAttributes')
  End

  Open(W)
  thisHWnd = W{Prop:Handle} !convert the hwnd from a string to an unsigned integer
  If fpSetLayeredWindowAttributes = 0
    Disable(?MakeTransparentButton, ?MakeOpaqueButton)
  End
  Accept
    Case Field()
    Of ?MakeTransparentButton
      If Event() = Event:Accepted                                     
        If fpSetLayeredWindowAttributes <> 0
          !Turn the WS_EX_LAYERED extended style bit on
          exStyleLong  = GetWindowLong(thisHWnd, GWL_EXSTYLE)
          SetWindowLong(thisHWnd, GWL_EXSTYLE, BOR(exStyleLong, WS_EX_LAYERED))
          !Make the color red completely transparent
          SetLayeredWindowAttributes(thisHWnd, COLOR:Red, 0, LWA_COLORKEY)
        End
      End

    Of ?MakeOpaqueButton
      If Event() = Event:Accepted
        If fpSetLayeredWindowAttributes <> 0
          !Check if the WS_EX_LAYERED style bit is on
          exStyleLong  = GetWindowLong(thisHWnd, GWL_EXSTYLE)
          If BAND(exStyleLong, WS_EX_LAYERED) <> 0
            !It is on, so toggle it off
            SetWindowLong(thisHWnd, GWL_EXSTYLE, BXOR(exStyleLong, WS_EX_LAYERED) )
          End
        End
      End

    End

  End

  Close(W)
  Return